spot pushed to openclipart (f22). "correct license tag, clean source code to remove non-free and legally problematic files"

notifications at fedoraproject.org notifications at fedoraproject.org
Wed Apr 1 20:38:16 UTC 2015


>From 5960f5949540a234bb9c206cc9a82910e48236cb Mon Sep 17 00:00:00 2001
From: Tom Callaway <spot at fedoraproject.org>
Date: Wed, 1 Apr 2015 16:38:06 -0400
Subject: correct license tag, clean source code to remove non-free and legally
 problematic files


diff --git a/cleantarball.sh b/cleantarball.sh
new file mode 100755
index 0000000..b128b0f
--- /dev/null
+++ b/cleantarball.sh
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# Quit out if anything fails.
+set -e
+
+if [ -d cleandir ]; then
+   echo "please remove cleandir before proceeding"
+   exit 0
+else
+   echo "making cleandir for processing..."
+   mkdir cleandir
+fi
+
+cd cleandir
+
+extension="${1#*.}"
+basefilename="${1%.*}"
+basefilename="${basefilename%.*}"
+
+echo "unpacking $1 into cleandir..."
+tar xf ../$1
+
+cd openclipart-*-svgonly
+
+# Delete the non-free files.
+
+# These files are CC-BY-NC-SA
+
+for i in \
+BHSPitMonkey \
+SRD/SRD_Bundle_of_Hearts.svg \
+antontw/antontw_Monkey.svg \
+artfloid \
+bsantos/bsantos_No_respect_for_pedestrians.svg \
+dniezby/dniezby_Film_reel.svg \
+dniezby/dniezby_Pencil_10.svg \
+dniezby/dniezby_Pencil_11.svg \
+dniezby/dniezby_Pencil_12.svg \
+dniezby/dniezby_Pencil_13.svg \
+dniezby/dniezby_Reflected_Scene_Slate.svg \
+dniezby/dniezby_Scene_Slate.svg \
+fejack/fejack_2009_calendar.svg \
+hyoga/hyoga_Chile.svg \
+klepas/klepas_Movie_night_ticket.svg \
+nodanero \
+pbhj/pbhj_this_class_is_FULL_sorry.svg \
+rugby471/rugby471_Tango_Style_Cheese_Wheel.svg \
+worms_x/worms_x_French_butter_croissant.svg ;
+do
+echo "deleting CC-BY-SA-NC clipart/$i";
+rm -rf clipart/$i;
+done
+
+# These files are CC-BY-NC
+
+for j in \
+Spidge \
+da5id1/da5id1_Mouse.svg \
+da5id1/da5id1_Mouse_1.svg \
+gabriel \
+massimo/massimo_El_mulo_loco.svg \
+nthiagaraj \
+pvalencia/pvalencia_Manzana.svg \
+sigalaflecha/sigalaflecha_m_sico_hopi.svg \
+pbhj/pbhj_creating_an_oval_vignette.svg;
+do
+echo "deleting CC-BY-NC clipart/$j";
+rm -rf clipart/$j;
+done
+
+# These files are very likely trademark infringing.
+for k in \
+KeyBlader30 \
+El_Sato/El_Sato_Tux_The_penguin_in_sonic_style.svg;
+do
+echo "deleting questionable file clipart/$k";
+rm -rf clipart/$k;
+done
+
+# okay, make the clean tarball
+cd ..
+
+tar cfj ../$basefilename-clean.tar.bz2 *
+
+# now, nuke the tempdir
+cd ..
+rm -rf cleandir
diff --git a/openclipart.spec b/openclipart.spec
index ce1ddd9..8f2dea6 100644
--- a/openclipart.spec
+++ b/openclipart.spec
@@ -1,14 +1,15 @@
 Name:           openclipart
 Version:        2.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Open Clip Art Library
-
 Group:          Applications/Publishing
-License:        Public Domain
+License:        Public Domain and CC-BY-SA and CC-BY and GPLv2 and LGPLv2 and (GFDL or CC-BY-SA) and (CC-BY or GPLv2)
 URL:            http://www.openclipart.org/
-Source0:        http://www.openclipart.org/downloads/%{version}/openclipart-%{version}-svgonly.tar.bz2
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-
+# Source0:      http://www.openclipart.org/downloads/%{version}/openclipart-%{version}-svgonly.tar.bz2
+# Upstream contains non-free and legally problematic files. We remove those and use a clean tarball.
+Source0:        openclipart-%{version}-svgonly-clean.tar.bz2
+# Use this script against the tarball to generate a clean version
+Source1:        cleantarball.sh
 BuildRequires:  dos2unix
 BuildArch:      noarch
 
@@ -43,12 +44,17 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %files
-%defattr(-,root,root,-)
 %{_datadir}/clipart
-%doc AUTHORS LICENSE ChangeLog NEWS README VERSION
+%license LICENSE
+%doc AUTHORS ChangeLog NEWS README VERSION
 
 
 %changelog
+* Wed Apr  1 2015 Tom Callaway <spot at fedoraproject.org> - 2.0-3
+- correct license tag
+- clean source code to remove non-free and legally problematic files
+- not an april fools joke
+
 * Sat Jun 07 2014 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 2.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
 
diff --git a/sources b/sources
index 6e83544..4db3468 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-89564fdd7a4e37807b769290c0c617cb  openclipart-2.0-svgonly.tar.bz2
+33f57c461a0cc2beba201735cfdd236a  openclipart-2.0-svgonly-clean.tar.bz2
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/openclipart.git/commit/?h=f22&id=5960f5949540a234bb9c206cc9a82910e48236cb


More information about the scm-commits mailing list